import request from '@/assets/js/utils/request'

// 查询角色列表
export function queryRoleListPage(data) {
  return request({
    url: '/bidprocurement/common-app/app/role/queryRoleListPage',
    method: 'post',
    data
  })
}
// 保存角色
export function saveAppRole(data) {
  return request({
    url: '/bidprocurement/common-app/app/role/saveAppRole',
    method: 'post',
    data
  })
}
// 删除角色
export function delAppRole(data) {
  return request({
    url: '/bidprocurement/common-app/app/role/delAppRole',
    method: 'post',
    data
  })
}
// 管理后台查询指定角色菜单接口格式
export function queryRoleFunction(data) {
  return request({
    url: '/bidprocurement/common-app/app/role/queryRoleFunction',
    method: 'post',
    data
  })
}
// 管理后台查询指定角色菜单接口格式
export function setRoleFunction(data) {
  return request({
    url: '/bidprocurement/common-app/app/role/setRoleFunction',
    method: 'post',
    data
  })
}
